gtkmm: Gtk::Menu_Helpers::TearoffMenuElem Class Reference

gtkmm 2.24.5

Public Member Functions | List of all members
Gtk::Menu_Helpers::TearoffMenuElem Class Reference
Inheritance diagram for Gtk::Menu_Helpers::TearoffMenuElem:
[legend]
Collaboration diagram for Gtk::Menu_Helpers::TearoffMenuElem:
[legend]

## Public Member Functions
| TearoffMenuElem (TearoffMenuItem& child)
| TearoffMenuElem (const CallSlot& slot=CallSlot())
| Create a non-accelerated TearoffMenuItem with a sigc::slot. More...
| TearoffMenuElem (const AccelKey& key, const CallSlot& slot=CallSlot())
| Create accelerated TearoffMenuItem with a sigc::slot. More...
Public Member Functions inherited from Gtk::Menu_Helpers::Element
| Element ()
| Element (MenuItem& child)
| ~Element ()
const Glib::RefPtr< MenuItem >& | get_child () const

## Additional Inherited Members
Public Types inherited from Gtk::Menu_Helpers::Element
typedef sigc::slot< void > | CallSlot
Protected Member Functions inherited from Gtk::Menu_Helpers::Element
void | set_child (MenuItem* pChild)
void | set_accel_key (const AccelKey& accel_key)
Protected Attributes inherited from Gtk::Menu_Helpers::Element
Glib::RefPtr< MenuItem > | child_

## Constructor & Destructor Documentation

## ◆ TearoffMenuElem() [1/3]

Gtk::Menu_Helpers::TearoffMenuElem::TearoffMenuElem | ( | TearoffMenuItem& | child | ) |

## ◆ TearoffMenuElem() [2/3]

Gtk::Menu_Helpers::TearoffMenuElem::TearoffMenuElem | ( | const CallSlot& | slot = `CallSlot()` | ) |

Create a non-accelerated TearoffMenuItem with a sigc::slot.

Parameters

  slot | Use sigc::mem_fun() to specify a signal handler

## ◆ TearoffMenuElem() [3/3]

Gtk::Menu_Helpers::TearoffMenuElem::TearoffMenuElem | ( | const AccelKey& | key,
|  | const CallSlot& | slot = `CallSlot()`
| ) |  |

Create accelerated TearoffMenuItem with a sigc::slot.

Parameters

  key | The accelerator key combination
  slot | Use sigc::mem_fun() to specify a signal handler

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h